IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
chooser_info_t Struct Reference

## Detailed Description

Chooser structure, used to embed a chooser in a form.

## Public Attributes
uint32 | cb
| size of the struct
int | flags
| Generic chooser flags
int | width
int | height
| in chars
const char * | title
| title
void * | obj
| data passed to callback functions
int | columns
| number of columns
const int * | widths
| column widths
int | icon
| default icon
uint32 | deflt
| default selection
const char *const * | popup_names
| array of custom popup menu names. More...
uint32(idaapi * | sizer )(void *obj)
| Callback - get the number of elements in the chooser.
void(idaapi * | getl )(void *obj, uint32 n, char *const *arrptr)
| Callback - get a description of an element. More...
uint32(idaapi * | del )(void *obj, uint32 n)
| Callback - user deleted an element. More...
void(idaapi * | ins )(void *obj)
| Callback - user asked to insert an element (may be NULL). More...
uint32(idaapi * | update )(void *obj, uint32 n)
| Callback - the chooser needs to be refreshed (may be NULL). More...
void(idaapi * | edit )(void *obj, uint32 n)
| Callback - user asked to edit an element (may be NULL). More...
void(idaapi * | enter )(void *obj, uint32 n)
| Callback - user pressed the enter key (may be NULL). More...
void(idaapi * | destroyer )(void *obj)
| Callback - called from the destructor (may be NULL). More...
int(idaapi * | get_icon )(void *obj, uint32 n)
| Callback - retrieve an element's icon (may be NULL). More...
void(idaapi * | select )(void *obj, const intvec_t &sel)
| Callback - selection changed (may be NULL). More...
void(idaapi * | refresh )(void *obj)
| Callback - called after the chooser is finished refreshing (may be NULL). More...
void(idaapi * | get_attrs )(void *obj, uint32 n, chooser_item_attrs_t *attrs)
| Callback - retrieve element attributes (may be NULL). More...
void(idaapi * | initializer )(void *obj)
| Callback - for initialization. More...
void * | unused
int | deflt_col
| Column that will have focus.

## Member Data Documentation

const char* const* chooser_info_t::popup_names

array of custom popup menu names.

Used replace labels for the standard handlers (Insert, Delete, Edit, Refresh).
If less than four custom menu items are needed.
The array can be NULL-terminated

void(idaapi * chooser_info_t::getl) (void *obj, uint32 n, char *const *arrptr)

Callback - get a description of an element.

Parameters

  | obj | chooser_info_t::obj
  | n | element number
  [out] | arrptr | pointer to array of strings. will receive the contents of each column

uint32(idaapi * chooser_info_t::del) (void *obj, uint32 n)

Callback - user deleted an element.

Parameters

  obj | chooser_info_t::obj
  n | number of deleted element

Returns
  index of element that took its place

void(idaapi * chooser_info_t::ins) (void *obj)

Callback - user asked to insert an element (may be NULL).

Parameters

  obj | chooser_info_t::obj

uint32(idaapi * chooser_info_t::update) (void *obj, uint32 n)

Callback - the chooser needs to be refreshed (may be NULL).

Parameters

  obj | chooser_info_t::obj
  n | currently selected element

Returns
  the new location of item 'n'

void(idaapi * chooser_info_t::edit) (void *obj, uint32 n)

Callback - user asked to edit an element (may be NULL).

Parameters

  obj | chooser_info_t::obj
  n | element to edit

void(idaapi * chooser_info_t::enter) (void *obj, uint32 n)

Callback - user pressed the enter key (may be NULL).

Parameters

  obj | chooser_info_t::obj
  n | currently selected element

void(idaapi * chooser_info_t::destroyer) (void *obj)

Callback - called from the destructor (may be NULL).

Parameters

  obj | chooser_info_t::obj

int(idaapi * chooser_info_t::get_icon) (void *obj, uint32 n)

Callback - retrieve an element's icon (may be NULL).

Parameters

  obj | chooser_info_t::obj
  n | element number

Returns
  icon id

void(idaapi * chooser_info_t::select) (void *obj, const intvec_t &sel)

Callback - selection changed (may be NULL).

Parameters

  obj | chooser_info_t::obj
  sel | selected elements

void(idaapi * chooser_info_t::refresh) (void *obj)

Callback - called after the chooser is finished refreshing (may be NULL).

Parameters

  obj | chooser_info_t::obj

void(idaapi * chooser_info_t::get_attrs) (void *obj, uint32 n, chooser_item_attrs_t *attrs)

Callback - retrieve element attributes (may be NULL).

Parameters

  | obj | chooser_info_t::obj
  | n | element number
  [out] | attrs | result

void(idaapi * chooser_info_t::initializer) (void *obj)

Callback - for initialization.

Parameters

  obj | chooser_info_t::ob

The documentation for this struct was generated from the following file:

- kernwin.hpp